package com.vispec.sdkdemo;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.vispec.sdklibrary.bluetooth.search.SearchResult;


import java.util.List;

import androidx.annotation.Nullable;

public class DeviceAdapter extends BaseQuickAdapter<SearchResult, BaseViewHolder> {

    public DeviceAdapter(int layoutResId, @Nullable List<SearchResult> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, SearchResult item) {
        helper.setText(R.id.tv_device_name,item.getName());
    }
}
